{"id":58933,"date":"2023-09-02T08:47:44","date_gmt":"2023-09-02T07:47:44","guid":{"rendered":"https:\/\/developer.kore.ai\/v10-1\/?p=58933"},"modified":"2023-10-16T07:23:30","modified_gmt":"2023-10-16T06:23:30","slug":"get-the-creation-status-of-a-test-suite-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/get-the-creation-status-of-a-test-suite-api\/","title":{"rendered":"Get the Creation Status of a Test Suite API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p><span style=\"font-weight: 400;\">To get the creation\/import request status of the Conversation Test Suite against a unique Import ID and provide the download link for the results file after the test execution is complete. Please refer to <\/span><a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/create-a-test-suite-api\/\">Create (Import) a Test Suite API\u00a0<\/a> to <span style=\"font-weight: 400;\">learn more.<\/span><\/p>\n<table>\n<tbody>\n<tr>\n<td><b>Method<\/b><\/td>\n<td><span style=\"font-weight: 400;\">GET<\/span><\/td>\n<\/tr>\n<tr>\n<td><strong>Endpoint<\/strong><\/td>\n<td><code>https:\/\/{{host}}\/api\/public\/stream\/:streamId\/conversation\/testsuite\/import\/:dsId\/status<\/code><\/td>\n<\/tr>\n<tr>\n<td><b>Content Type<\/b><\/td>\n<td><code>application\/json<\/code><\/td>\n<\/tr>\n<tr>\n<td><b>Authorization<\/b><\/td>\n<td><code>auth: {{JWT}}<\/code><\/p>\n<p><span style=\"font-weight: 400;\">See <\/span><a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/apis\/#Generating_the_JWT_Token\"><span style=\"font-weight: 400;\">How to generate the JWT Token<\/span><\/a><span style=\"font-weight: 400;\">.<\/span><\/td>\n<\/tr>\n<tr>\n<td><b>API Scope<\/b><\/td>\n<td>\n<ul>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">Bot Builder: <\/span><span style=\"font-weight: 400;\">Conversation Tests Management<\/span><\/li>\n<li><span style=\"font-weight: 400;\">Admin Console: <\/span>Conversation Tests Management<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_medium\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Query_Parameters\">Query Parameters<\/span><\/h2>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<th>Mandate<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td><span style=\"font-weight: 400;\"><b>host<\/b><\/span><\/td>\n<td><span style=\"font-weight: 400;\">Environment URL. For example,<code>https:\/\/bots.kore.ai<\/code><\/span><\/td>\n<td>Required<\/td>\n<\/tr>\n<tr>\n<td><b>StreamID<\/b><\/td>\n<td><span style=\"font-weight: 400;\">The \u00a0<i>Stream ID<\/i> can be accessed under <b>General Settings<\/b> on the Bot Builder.<\/span><\/td>\n<td>Required<\/td>\n<\/tr>\n<tr>\n<td><b>dsId<\/b><\/td>\n<td><span style=\"font-weight: 400;\">The unique ID to check the conversation test suite creation\/import status.<\/span><\/td>\n<td>Required<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_medium\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h2>\n<pre class=\"code-limit-200px\">curl --location --request GET \\\r\n  <span style=\"font-weight: 400;\">'<\/span><span style=\"font-weight: 400;\">https:\/\/{{host}}\/api\/public\/stream\/:streamId\/conversation\/testsuite\/import\/:dsId\/status<\/span><span style=\"font-weight: 400;\">'<\/span> \\\r\n    --header 'auth: {jwt-token}' \\\r\n    --header 'bot-language: {language-code}'<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_medium\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Body_Parameters\">Body Parameters<\/span><\/h2>\n<p>No body parameters are passed.<\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_medium\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h2>\n<ul>\n<li><span style=\"font-weight: 400;\">When the test suite creation\/import is in progress.<\/span><\/li>\n<\/ul>\n<pre class=\"code-limit-300px\">{\r\n\"_id\": \"ds-f8xxxxx5-5xxa-5xx4-axx4-48xxxxxxxxx9\",\r\n\"status\": \"IN_PROGRESS\",\r\n\"percentageComplete\": 85,\r\n\"streamId\": \"st-45xxxxx7-3xx4-5xxa-9xxa-d8xxxxxxxxx0\",\r\n\"jobType\": \"CONVERSATION_TESTING_VALIDATE\",\r\n\"action\": \"RUN\",\r\n\"countOfDockStatuses\": 1,\r\n\"createdBy\": \"u-7dxxxxxf-7xxd-5xx7-axx7-37xxxxxxxxx4\",\r\n\"testSuiteId\": \"ctc-a1xxxxxc-5xx3-5xx5-axx3-77xxxxxxxxxb\",\r\n\"expireAt\": \"2023-08-23T10:18:21.820Z\",\r\n\"statusLogs\": [],\r\n\"lMod\": \"2023-08-23T10:03:36.109Z\",\r\n\"createdOn\": \"2023-08-23T10:03:21.825Z\",\r\n\"requestedTime\": \"2023-08-23T10:03:21.825Z\",\r\n\"__v\": 0\r\n}<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_medium\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<ul>\n<li><span style=\"font-weight: 400;\">When the test suite creation\/import is completed.<\/span><\/li>\n<\/ul>\n<pre class=\"code-limit-400px\">{\r\n    \"_id\": \"ds-f8xxxxx5-5xxa-5xx4-axx4-48xxxxxxxxx9\",\r\n    \"status\": \"SUCCESS\",\r\n    \"percentageComplete\": 100,\r\n    \"streamId\": \"st-45xxxxx7-3xx4-5xxa-9xxa-d8xxxxxxxxx0\",\r\n    \"jobType\": \"CONVERSATION_TESTING_VALIDATE\",\r\n    \"action\": \"RUN\",\r\n    \"countOfDockStatuses\": 1,\r\n    \"createdBy\": \"u-7dxxxxxf-7xxd-5xx7-axx7-37xxxxxxxxx4\",\r\n    \"testSuiteId\": \"ctc-a1xxxxxc-5xx3-5xx5-axx3-77xxxxxxxxxb\",\r\n    \"expireAt\": \"2023-08-23T10:18:21.820Z\",\r\n    \"statusLogs\": [],\r\n    \"lMod\": \"2023-08-23T10:04:24.972Z\",\r\n    \"createdOn\": \"2023-08-23T10:03:21.825Z\",\r\n    \"requestedTime\": \"2023-08-23T10:03:21.825Z\",\r\n    \"__v\": 0,\r\n    \"response\": {\r\n        \"schedule\": {\r\n            \"enableSchedule\": false\r\n        },\r\n        \"channel\": \"rtm\",\r\n        \"tags\": [],\r\n        \"recentTags\": [],\r\n        \"metadataAvailable\": true,\r\n        \"name\": \"newtestcaseconvtest1979asdxxxxxxxxx9\",\r\n        \"description\": \"\",\r\n        \"preprocessor\": \"\",\r\n        \"serviceMap\": [],\r\n        \"authProfiles\": [],\r\n        \"streamId\": \"st-45xxxxx7-3xx4-5xxa-9xxa-d8xxxxxxxxx0\",\r\n        \"accountId\": \"639xxxxxxxxxxxxxxxxxxxx3\",\r\n        \"lModBy\": \"u-7dxxxxxf-7xxd-5xx7-axx7-37xxxxxxxxx4\",\r\n        \"createdBy\": \"u-7dxxxxxf-7xxd-5xx7-axx7-37xxxxxxxxx4\",\r\n        \"testSteps\": [\r\n            {\r\n                \"input\": \"Start_Flow\",\r\n                \"outputs\": [\r\n                    {\r\n                        \"text\": \"asdasd\",\r\n                        \"nodeId\": \"\",\r\n                        \"componentType\": \"\",\r\n                        \"intentId\": \"\",\r\n                        \"nodeName\": \"\",\r\n                        \"intentType\": \"\",\r\n                        \"taskId\": \"\",\r\n                        \"dialogName\": \"\",\r\n                        \"transitions\": [],\r\n                        \"transitionNodeNames\": [],\r\n                        \"transitionNodeType\": [],\r\n                        \"assertions\": {\r\n                            \"flowLevel\": {\r\n                                \"enabled\": false,\r\n                                \"contains\": []\r\n                            },\r\n                            \"text\": {\r\n                                \"enabled\": true,\r\n                                \"contains\": [\r\n                                    {\r\n                                        \"text\": \"asdasd\"\r\n                                    }\r\n                                ]\r\n                            },\r\n                            \"context\": {\r\n                                \"enabled\": false,\r\n                                \"contains\": []\r\n                            }\r\n                        }\r\n                    }\r\n                ],\r\n                \"event\": \"Start_Flow\"\r\n            }\r\n        ],\r\n        \"_id\": \"ctc-f9xxxxxc-7xx1-5xxe-axx6-80xxxxxxxxxd\",\r\n        \"createdOn\": \"2023-08-23T10:03:37.404Z\",\r\n        \"lModOn\": \"2023-08-23T10:03:37.404Z\",\r\n        \"__v\": 0\r\n    }<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_medium\"><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"To get the creation\/import request status of the Conversation Test Suite against a unique Import ID and provide the download link for the results file after the test execution is complete. Please refer to Create (Import) a Test Suite API\u00a0 to learn more. Method GET Endpoint https:\/\/{{host}}\/api\/public\/stream\/:streamId\/conversation\/testsuite\/import\/:dsId\/status Content Type application\/json Authorization auth: {{JWT}} See How...","protected":false},"author":21,"featured_media":0,"comment_status":"open","ping_status":"open","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-58933","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/58933","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/users\/21"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/comments?post=58933"}],"version-history":[{"count":9,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/58933\/revisions"}],"predecessor-version":[{"id":59800,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/58933\/revisions\/59800"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/media?parent=58933"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/categories?post=58933"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/tags?post=58933"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}